﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url           = 'https://downloads.jtl-software.de/setup-jtl-wawi_1.6.45.1_1208-1450_bcb852541c8.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  softwareName  = 'JTL-Wawi*'
  checksum      = '0fb80930d75182abf2f6b0c305438c74574e59d4d1a2c575aeed73ac11e432bd'
  checksumType  = 'sha256'
  #silentArgs	 = "/SP- /ALLUSERS /NOCANCEL /NORESTART /LOG /NORESTARTAPPLICATIONS /CLOSEAPPLICATIONS /SUPPRESSMSGBOXES"
  silentArgs	 = "/SP- /VERYSILENT /ALLUSERS /NOCANCEL /NORESTART /LOG /NORESTARTAPPLICATIONS /CLOSEAPPLICATIONS "
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
